package gmt.protocol.ais.sensor;

public class SensorStatic extends Sensors {
	private String	name;     //!< 12x6 (72) bits : Sensor Name
	private int		status;   //!<  4 bits : Status. 0 : N/A, 1 : 동작중, 2 : 고장, 3 : 수리중, 4 : 테스트중
	private int		spare;    //!<  3 bits : Spare
	
	public String name() { return this.name; }
	public int status() { return this.status; }
	public int spare() { return this.spare; }
	
	public SensorStatic() {
		super();
	}
	
	public void setName(String name) {
		this.name = name;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public void setSpare(int spare) {
		this.spare = spare;
	}
}
